:root {
    --spacing: @spacing;
    --spacing_em: @spacing-em;
    --spacing_rem: @spacing-rem;

    --spacing_xxs: @spacing_xxs;
    --spacing_xs: @spacing_xs;
    --spacing_s: @spacing_s;
    --spacing_m: @spacing_m;
    --spacing_l: @spacing_l;
    --spacing_xl: @spacing_xl;
    --spacing_xxl: @spacing_xxl;

    --spacing_content_y: 4vw;
    --spacing_content_x: 4vw;
    --spacing_content: 4vw;

    @media @mq_phone_tablet {
        --spacing_content_y: @spacing*2.5;
        --spacing_content_x: 4vw;
        --spacing_content: @spacing*2.5 4vw;
    }
    @media @mq_phone {
        --spacing_content_y: @spacing;
        @media @mq_ls {
            --spacing_content_x: @spacing;
            --spacing_content: @spacing;
        }
        @media @mq_pt {
            --spacing_content_x: @spacing/2;
            --spacing_content: @spacing @spacing/2;
        }
    }

    --offset_xxs: -@spacing_xxs;
    --offset_xs: -@spacing_xs;
    --offset_s: -@spacing_s;
    --offset_m: -@spacing_m;
    --offset_l: -@spacing_l;
    --offset_xl: -@spacing_xl;
    --offset_xxl: -@spacing_xxl;

    --offset_content_y: -@spacing*3;
    --offset_content_x: -@spacing*3;
    --offset_content: -@spacing*3;

    @media @mq_phone_tablet {
        --offset_content_y: -@spacing*2;
        --offset_content_x: -4vw;
        --offset_content: -@spacing*2 -4vw;
    }
    @media @mq_phone {
        --offset_content_y: -@spacing*1.5;
        @media @mq_ls {
            --offset_content_x: -@spacing;
            --offset_content: -@spacing*1.5 -@spacing;
        }
        @media @mq_pt {
            --offset_content_x: -@spacing/2;
            --offset_content: -@spacing*1.5 -@spacing/2;
        }
    }
}


@em: 1em;
@rem: 1rem;

@spacing: @spacing-rem;
@spacing-em: 1.5em;
@spacing-rem: 1.5rem;

@spacing-factor_xxs: .25;
@spacing-factor_xs: .5;
@spacing-factor_s: .75;
@spacing-factor_m: 1;
@spacing-factor_l: 1.5;
@spacing-factor_xl: 2;
@spacing-factor_xxl: 3;

@spacing_xxs: @spacing*@spacing-factor_xxs;
@spacing_xs: @spacing*@spacing-factor_xs;
@spacing_s: @spacing*@spacing-factor_s;
@spacing_m: @spacing*@spacing-factor_m;
@spacing_l: @spacing*@spacing-factor_l;
@spacing_xl: @spacing*@spacing-factor_xl;
@spacing_xxl: @spacing*@spacing-factor_xxl;
